[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# GetDialogCaption

Gets the resource string used as the caption for the specified dialog identifier.

## Declaration

Source position: dialogs.pp line 1055

`function GetDialogCaption(`
`idDiag: Integer`
`):string;`

## Arguments

`idDiag` |  | Identifier for the dialog type, i. e. idDialogWarning or idDialogError.

## Function result

Default caption for the dialog identifier.

## Description

The following dialog identifiers and return values are used in the routine:

idDialogWarning
  Return value is rsMtWarning.
idDialogError
  Return value is rsMtError.
idDialogInfo
  Return value is rsMtInformation.
idDialogConfirm
  Return value is rsMtConfirmation.
idDialogShield
  Return value is rsMtAuthentication.

The return value is '?' when an unknown value is used in the idDiag argument.